JAVAC = javac -classpath .;

MyCompiler.class: MyCompiler.java JavaParser.java
    $(JAVAC) MyCompiler.java

JavaParser.class: JavaParser.java
	$(JAVAC) JavaParser.java

JavaLexer.class: JavaLexer.java 
	$(JAVAC) JavaLexer.java

JavaParser.java: JavaParser.jay JavaLexer.java
	jay.cygwin32 -v   JavaParser.jay < skeleton > JavaParser.java

JavaLexer.java: JavaLexer.lex.java
	copy JavaLexer.lex.java JavaLexer.java

JavaLexer.lex.java: JavaLexer.lex
    java -classpath .;JLex.jar JLex.Main JavaLexer.lex

clean: 
	del *.class JavaLexer.java JavaParser.java JavaLexer.lex.java